add the google-chrome signing key:
  file.managed:
    - name: /root/google_linux_signing_key.pub
    - source: salt://files/google_linux_signing_key.pub
    - user: root
    - group: root

import google signing key:
  cmd.run:
    - name: rpm --import /root/google_linux_signing_key.pub
    - onchanges:
      - file: add the google-chrome signing key

{% for repo, args in salt['pillar.get']('repositories', {}).items() %}
Add {{ repo }} repository:
  pkgrepo.managed:
    - name: {{ repo }}
    - humanname: {{ args['humanname'] }}
    - baseurl: {{ args['baseurl'] }}
    - enabled: {{ args['enabled'] }}
    - gpgautoimport: {{ args['gpgautoimport'] }}
    - refresh: {{ args['refresh'] }}
    {% if 'gpgkey' in args -%}
    - gpgkey: {{ args['gpgkey'] }}
    {% endif %}
{% endfor %}
